LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Macros
macros.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Macros
#define | SAL_N_ELEMENTS(arr) (sizeof (arr) / sizeof ((arr)[0]))
#define | SAL_STRINGIFY_ARG(x) #x
#define | SAL_STRINGIFY(x) SAL_STRINGIFY_ARG(x)

## Macro Definition Documentation

## ◆ SAL_N_ELEMENTS

#define SAL_N_ELEMENTS | ( |  | arr | ) | (sizeof (arr) / sizeof ((arr)[0]))

## ◆ SAL_STRINGIFY

#define SAL_STRINGIFY | ( |  | x | ) | SAL_STRINGIFY_ARG(x)

## ◆ SAL_STRINGIFY_ARG

#define SAL_STRINGIFY_ARG | ( |  | x | ) | #x